E-MailRelay

Public Types | Public Member Functions | Public Attributes | List of all members
GNet::EventHandlerList::Iterator Struct Reference

An iterator for GNet::EventHandlerList. More...

`#include <geventhandlerlist.h>`

## Public Types
using | Value = EventHandlerList::Value

## Public Member Functions
| Iterator (const std::vector< Value > &, bool) noexcept
| Iterator (std::vector< Value >::const_iterator, std::vector< Value >::const_iterator) noexcept
Iterator & | operator++ () noexcept
const Value & | operator* () const noexcept
bool | operator== (const Iterator &) const noexcept
bool | operator!= (const Iterator &) const noexcept
Descriptor | fd () const noexcept
EventHandler * | handler () noexcept
ExceptionSink | es () noexcept
void | raiseEvent (void(EventHandler::*method)())
void | raiseEvent (void(EventHandler::*method)(EventHandler::Reason), EventHandler::Reason)

## Public Attributes
std::vector< Value >::const_iterator | m_p
std::vector< Value >::const_iterator | m_end

## Detailed Description

An iterator for GNet::EventHandlerList.

Definition at line 86 of file geventhandlerlist.h.

## Member Typedef Documentation

## ◆ Value

using GNet::EventHandlerList::Iterator::Value = EventHandlerList::Value

Definition at line 88 of file geventhandlerlist.h.

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

GNet::EventHandlerList::Iterator::Iterator | ( | const std::vector< Value > & | v,
|  | bool | end
| ) |  |
| inline noexcept

Definition at line 230 of file geventhandlerlist.h.

## ◆ Iterator() [2/2]

GNet::EventHandlerList::Iterator::Iterator | ( | std::vector< Value >::const_iterator | p,
|  | std::vector< Value >::const_iterator | end
| ) |  |
| inline noexcept

Definition at line 222 of file geventhandlerlist.h.

## Member Function Documentation

## ◆ es()

GNet::ExceptionSink GNet::EventHandlerList::Iterator::es | ( |  | ) |
| inline noexcept

Definition at line 266 of file geventhandlerlist.h.

## ◆ fd()

GNet::Descriptor GNet::EventHandlerList::Iterator::fd | ( |  | ) | const
| inline noexcept

Definition at line 254 of file geventhandlerlist.h.

## ◆ handler()

GNet::EventHandler * GNet::EventHandlerList::Iterator::handler | ( |  | ) |
| inline noexcept

Definition at line 260 of file geventhandlerlist.h.

## ◆ operator!=()

bool GNet::EventHandlerList::Iterator::operator!= | ( | const Iterator & | other | ) | const
| inline noexcept

Definition at line 278 of file geventhandlerlist.h.

## ◆ operator*()

const GNet::EventHandlerList::Value & GNet::EventHandlerList::Iterator::operator* | ( |  | ) | const
| inline noexcept

Definition at line 248 of file geventhandlerlist.h.

## ◆ operator++()

GNet::EventHandlerList::Iterator & GNet::EventHandlerList::Iterator::operator++ | ( |  | ) |
| inline noexcept

Definition at line 239 of file geventhandlerlist.h.

## ◆ operator==()

bool GNet::EventHandlerList::Iterator::operator== | ( | const Iterator & | other | ) | const
| inline noexcept

Definition at line 272 of file geventhandlerlist.h.

## ◆ raiseEvent() [1/2]

void GNet::EventHandlerList::Iterator::raiseEvent | ( | void(EventHandler::*)() | method | ) |

Definition at line 218 of file geventhandlerlist.cpp.

## ◆ raiseEvent() [2/2]

void GNet::EventHandlerList::Iterator::raiseEvent | ( | void(EventHandler::*)(EventHandler::Reason) | method,
|  | EventHandler::Reason | reason
| ) |  |

Definition at line 243 of file geventhandlerlist.cpp.

## Member Data Documentation

## ◆ m_end

std::vector<Value>::const_iterator GNet::EventHandlerList::Iterator::m_end

Definition at line 101 of file geventhandlerlist.h.

## ◆ m_p

std::vector<Value>::const_iterator GNet::EventHandlerList::Iterator::m_p

Definition at line 100 of file geventhandlerlist.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandlerlist.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandlerlist.cpp